<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\Kursplanung\KursVorschlag;


class KursVorschlagAbsendenUseCase extends \Kufer\Web\KuferTools\Basis\KursPlanung\KursVorschlag\KursVorschlagAbsendenUseCase
{
  public static function getToolSectionId()
  {
    return 282;
  }

  public static function getToolId()
  {
    return 3;
  }

  protected function getBenutzerKuerzel()
  {
    return 'D';
  }

  protected function getDnr4Planung($pKnr)
  {
    $user = $this->getUser();

    return $user->dnr;
  }

  protected function isKursKopieAllowed()
  {
    return $this->isRechtAllowed('282.0.1');
  }

  protected function getEMail4Einrichtung()
  {
    return $this->toolSettings->vhsEmailTool3Section282;
  }

  public function sollDozentHinzugefuegtWerden(): bool
  {
    return \DBWorkBASysSettings::isSalzburgBildungswerk();
  }
}